Overview
POST
/persona-memory/blockspersona_memoryCreate blocks
Create a record in blocks.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- namestring
- contentstring | number | boolean? | object | any[]
- sizeLimitoptionalinteger?
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"name": "string",
"content": "string",
"sizeLimit": 0
}Responses
201
blocks
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- namestring
- contentstring | number | boolean? | object | any[]
- sizeLimitinteger?
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"name": "string",
"content": "string",
"sizeLimit": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/persona-memory/blocks" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"name": "string",
"content": "string",
"sizeLimit": 0
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/persona-memory/blocks", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"name\": \"string\",\n \"content\": \"string\",\n \"sizeLimit\": 0\n}",
});
const data = await res.json();